Bug 753262 - Review Request: qxmpp-dev - Qt XMPP Library
Review Request: qxmpp-dev - Qt XMPP Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-11-11 13:20 EST by Minh Ngo
Modified: 2012-03-21 14:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: qxmpp-dev-0.3.47-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-18 20:33:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Minh Ngo 2011-11-11 13:20:35 EST
Spec URL: https://raw.github.com/Ignotus/qxmpp-fedora/7f46c9159093e9228d35d829db4da91aa736c8a9/qxmpp-dev.spec
SRPM URL: https://github.com/Ignotus/qxmpp-fedora/blob/7f46c9159093e9228d35d829db4da91aa736c8a9/qxmpp-dev-0.3.45.1-3.fc16.src.rpm?raw=true
Description: QXmpp is a cross-platform C++ XMPP client library. It is based on Qt and C++.

QXmpp is pretty intuitive and easy to use. It uses Qt extensively. Qt is the only
third party library it is dependent on. Users need to a have working knowledge of
C++ and Qt basics (Signals and Slots and Qt data types). The underlying TCP socket
and the XMPP RFCs (RFC3920 and RFC3921) have been encapsulated into classes and
functions. Therefore the user would not be bothered with these details. But it is
always recommended to the advanced users to read and enjoy the low level details.

This package's the fork of QXmpp. It introduces some new features to QXmpp core, like in-band registration and extended API. Some additional XEPs were also introduced, like XHTML-IM, Attention requests, Delivery receipts, etc.

It's used for LeechCraft Internet Client (http://leechcraft.org/). SPEC file for it's already completed too https://github.com/Ignotus/leechcraft-fedora.
Comment 1 Kevin Kofler 2011-11-22 13:05:06 EST
I'm putting this on the kde-reviews tracker, given that this is Qt stuff. I'm also clearing the fedora-review flag: According to our process, this should be set by the reviewer, not the submitter.
Comment 2 Rex Dieter 2012-01-09 13:46:32 EST
OK, here's an initial review :

1.  -devel MUST depend on main pkg.  add to -devel
Requires: %{name}%{?_isa} = %{version}-%{release}

2.  SHOULD track ABI, replace
%{_libdir}/lib%{name}.so.*
with
%{_libdir}/libqxmpp-dev.so.2
(or whatever the proper soname is).  

3.  SHOULD: better to patch/fix lib64 handling properly, instead of current hack:

%ifarch x86_64
%__mv ${RPM_BUILD_ROOT}/usr/{lib,lib64}
%endif

if you can't patch, this is better,
%if "%{_lib}" = "lib64"
...
%endif

(there's more platforms using lib64 than just x86_64)

4. SHOULD use
BuildRequires: qt4-devel
(instead of qt-devel)

5. MUST fix -devel summary/description to reference qxmpp-dev instead of qxmpp
Comment 4 Rex Dieter 2012-01-09 15:41:45 EST
naming: ok

scriptlets: ok

sources: ok
md5sum *.bz2
9498edd097631d321d48b12f8ad99da1  qxmpp-0.3.45.1-extras.tar.bz2

macros: ok

licensing: ok


looks good, APPROVED.
Comment 5 Rex Dieter 2012-01-09 16:07:00 EST
Need to provide the information listed here,
http://fedoraproject.org/wiki/Package_SCM_admin_requests
in addition to seeing the fedora-cvs flag.
Comment 6 Minh Ngo 2012-01-09 16:41:23 EST
New Package SCM Request
=======================
Package Name: qxmpp-dev
Short Description: Qt XMPP Library
Owners: ignotusp
Branches: f15 f16 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-01-09 20:48:41 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-01-10 01:18:22 EST
qxmpp-dev-0.3.45.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/qxmpp-dev-0.3.45.1-4.fc15
Comment 9 Fedora Update System 2012-01-10 01:19:19 EST
qxmpp-dev-0.3.45.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qxmpp-dev-0.3.45.1-4.fc16
Comment 10 Fedora Update System 2012-01-11 00:59:46 EST
qxmpp-dev-0.3.45.1-4.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2012-01-18 20:33:53 EST
qxmpp-dev-0.3.45.1-4.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2012-01-18 20:35:42 EST
qxmpp-dev-0.3.45.1-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-02-19 08:50:10 EST
qxmpp-dev-0.3.45.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qxmpp-dev-0.3.45.2-1.fc16
Comment 14 Fedora Update System 2012-02-19 09:00:55 EST
qxmpp-dev-0.3.45.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/qxmpp-dev-0.3.45.2-1.fc15
Comment 15 Fedora Update System 2012-02-28 04:52:43 EST
qxmpp-dev-0.3.45.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-02-28 04:58:54 EST
qxmpp-dev-0.3.45.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-03-14 14:46:31 EDT
qxmpp-dev-0.3.45.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qxmpp-dev-0.3.45.2-1.fc17
Comment 18 Fedora Update System 2012-03-17 05:17:49 EDT
qxmpp-dev-0.3.47-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qxmpp-dev-0.3.47-1.fc17
Comment 19 Fedora Update System 2012-03-21 14:44:17 EDT
qxmpp-dev-0.3.47-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.